| Home | Libraries | People | FAQ | More

## Function template replace_copy

boost::compute::replace_copy

## Synopsis

    // In header: <boost/compute/algorithm/replace_copy.hpp>

    template<typename InputIterator, typename OutputIterator, typename T>
      OutputIterator
      replace_copy(InputIterator first, InputIterator last, OutputIterator result,
                   const T & old_value, const T & new_value,
                   command_queue & queue = system::default_queue());

## Description

Copies the value in the range [`first`, `last`) to the range beginning at `result` while replacing each instance of `old_value` with `new_value`.

Space complexity: \Omega(1)

See Also:

replace()